Subject: Re: Why linux keeps connected routes when link goes down

From: Ханкин Константин<[email-masked]>
Date: Mon, 23 Feb 2009 23:02:55 +0500

> Fortunately patching some sense into the linux kernel isn't very hard.

Can I hope that it will be done some day?

Linux is used as router in many places, such behavior is a suicide. Of course, 
one can use ifplugd (so do I), but it's a crap for network OS, don't you think 
so?

Who made linux network subsystem? Can Linus Torvalds say some words about this 
problem?

I'm not a developer, but network administrator. So I can't make a patch. I can 
only find a solution or make it. So please make my work a bit easier

--
Konstantin
E-mail [email-masked]
Jabber [email-masked]